Bug 45073

Summary: Implement [continuous]MouseScrollBy() in Chromium/GTK DRT
Product: WebKit Reporter: Peter Kasting <pkasting>
Component: WebKit Misc.Assignee: Peter Kasting <pkasting>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, gns
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: All   
Attachments:
Description Flags
patch v1.0 none

Description Peter Kasting 2010-09-01 17:19:03 PDT
http://trac.webkit.org/changeset/55739 added mouseScrollBy() and continuousMouseScrollBy() support for DRT on Mac, and it is now used in at least three layout tests.

http://trac.webkit.org/changeset/48735 added a very similar function called mouseWheelTo() to DRT on GTK and used it in one test.  "mouseWheelTo" is not a particularly great name as it implies a destination coordinate when in fact it merely takes a wheel tick value.  The actual functionality is identical except for having reversed signs (mouseScrollBy() matches the WebCore directionality for wheel events with positive and negative deltas; mouseWheelTo() is reversed).

Therefore, I intend to implement xxxMouseScrollBy() in Chromium in order to be able to pass the tests that use it, and remove mouseWheelTo() support since it's redundant.  I'll also change the GTK test to call mouseScrollBy() and modify the GTK DRT to convert mouseWheelTo() to mouseScrollBy().  (I'm not planning on implementing continuousMouseScrollBy() on GTK as more than a stub, since the GTK event layer doesn't seem to support continuous scroll events.)
Comment 1 Peter Kasting 2010-09-01 17:21:14 PDT
Created attachment 66303 [details]
patch v1.0
Comment 2 Dimitri Glazkov (Google) 2010-09-01 20:37:22 PDT
Comment on attachment 66303 [details]
patch v1.0

Looks sane.
Comment 3 WebKit Commit Bot 2010-09-02 06:14:48 PDT
Comment on attachment 66303 [details]
patch v1.0

Clearing flags on attachment: 66303

Committed r66666: <http://trac.webkit.org/changeset/66666>
Comment 4 WebKit Commit Bot 2010-09-02 06:14:52 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Gustavo Noronha (kov) 2010-09-06 06:57:03 PDT
(In reply to comment #3)
> Committed r66666: <http://trac.webkit.org/changeset/66666>

That's an awesome commit id, btw =D